JUCE: ValueTree::Listener Class Reference

JUCE

Public Member Functions | List of all members
ValueTree::Listener Class Reference
juce_data_structures » values

Listener class for events that happen to a ValueTree. More...

`#include <juce_ValueTree.h>`

Inheritance diagram for ValueTree::Listener:

## Public Member Functions
virtual | ~Listener ()=default
| Destructor. More...
virtual void | valueTreePropertyChanged (ValueTree &treeWhosePropertyHasChanged, const Identifier &property)
| This method is called when a property of this tree (or of one of its sub-trees) is changed. More...
virtual void | valueTreeChildAdded (ValueTree &parentTree, ValueTree &childWhichHasBeenAdded)
| This method is called when a child sub-tree is added. More...
virtual void | valueTreeChildRemoved (ValueTree &parentTree, ValueTree &childWhichHasBeenRemoved, int indexFromWhichChildWasRemoved)
| This method is called when a child sub-tree is removed. More...
virtual void | valueTreeChildOrderChanged (ValueTree &parentTreeWhoseChildrenHaveMoved, int oldIndex, int newIndex)
| This method is called when a tree's children have been re-shuffled. More...
virtual void | valueTreeParentChanged (ValueTree &treeWhoseParentHasChanged)
| This method is called when a tree has been added or removed from a parent. More...
virtual void | valueTreeRedirected (ValueTree &treeWhichHasBeenChanged)
| This method is called when a tree is made to point to a different internal shared object. More...

## Detailed Description

Listener class for events that happen to a ValueTree.

To get events from a ValueTree, make your class implement this interface, and use ValueTree::addListener() and ValueTree::removeListener() to register it.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual ValueTree::Listener::~Listener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ valueTreePropertyChanged()

virtual void ValueTree::Listener::valueTreePropertyChanged | ( | ValueTree & | treeWhosePropertyHasChanged,
|  | const Identifier & | property
| ) |  |
| virtual

This method is called when a property of this tree (or of one of its sub-trees) is changed.

Note that when you register a listener to a tree, it will receive this callback for property changes in that tree, and also for any of its children, (recursively, at any depth). If your tree has sub-trees but you only want to know about changes to the top level tree, simply check the tree parameter in this callback to make sure it's the tree you're interested in.

## ◆ valueTreeChildAdded()

virtual void ValueTree::Listener::valueTreeChildAdded | ( | ValueTree & | parentTree,
|  | ValueTree & | childWhichHasBeenAdded
| ) |  |
| virtual

This method is called when a child sub-tree is added.

Note that when you register a listener to a tree, it will receive this callback for child changes in both that tree and any of its children, (recursively, at any depth). If your tree has sub-trees but you only want to know about changes to the top level tree, just check the parentTree parameter to make sure it's the one that you're interested in.

## ◆ valueTreeChildRemoved()

virtual void ValueTree::Listener::valueTreeChildRemoved | ( | ValueTree & | parentTree,
|  | ValueTree & | childWhichHasBeenRemoved,
|  | int | indexFromWhichChildWasRemoved
| ) |  |
| virtual

This method is called when a child sub-tree is removed.

Note that when you register a listener to a tree, it will receive this callback for child changes in both that tree and any of its children, (recursively, at any depth). If your tree has sub-trees but you only want to know about changes to the top level tree, just check the parentTree parameter to make sure it's the one that you're interested in.

## ◆ valueTreeChildOrderChanged()

virtual void ValueTree::Listener::valueTreeChildOrderChanged | ( | ValueTree & | parentTreeWhoseChildrenHaveMoved,
|  | int | oldIndex,
|  | int | newIndex
| ) |  |
| virtual

This method is called when a tree's children have been re-shuffled.

Note that when you register a listener to a tree, it will receive this callback for child changes in both that tree and any of its children, (recursively, at any depth). If your tree has sub-trees but you only want to know about changes to the top level tree, just check the parameter to make sure it's the tree that you're interested in.

## ◆ valueTreeParentChanged()

virtual void ValueTree::Listener::valueTreeParentChanged | ( | ValueTree & | treeWhoseParentHasChanged | ) |
| virtual

This method is called when a tree has been added or removed from a parent.

This callback happens when the tree to which the listener was registered is added or removed from a parent. Unlike the other callbacks, it applies only to the tree to which the listener is registered, and not to any of its children.

## ◆ valueTreeRedirected()

virtual void ValueTree::Listener::valueTreeRedirected | ( | ValueTree & | treeWhichHasBeenChanged | ) |
| virtual

This method is called when a tree is made to point to a different internal shared object.

When operator= is used to make a ValueTree refer to a different object, this callback will be made.

The documentation for this class was generated from the following file:

- juce_ValueTree.h